<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>org.apache.poi.hwpf.model.types (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.poi.hwpf.model.types (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/hwpf/model/io/package-summary.html">Prev&nbsp;Package</a></li>
        <li><a href="../../../../../../org/apache/poi/hwpf/sprm/package-summary.html">Next&nbsp;Package</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hwpf/model/types/package-summary.html" target="_top">Frames</a>
        </li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 title="Package" class="title">Package&nbsp;org.apache.poi.hwpf.model.types</h1>
</div>
<div class="contentContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Class Summary table, listing classes, and an explanation">
                <caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Class</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hwpf/model/types/BKFAbstractType.html"
                            title="class in org.apache.poi.hwpf.model.types">BKFAbstractType</a></td>
                    <td class="colLast">
                        <div class="block">BooKmark First descriptor (BKF).</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hwpf/model/types/CHPAbstractType.html"
                            title="class in org.apache.poi.hwpf.model.types">CHPAbstractType</a></td>
                    <td class="colLast">
                        <div class="block">Character Properties.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hwpf/model/types/DOPAbstractType.html"
                            title="class in org.apache.poi.hwpf.model.types">DOPAbstractType</a></td>
                    <td class="colLast">
                        <div class="block">Document Properties.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hwpf/model/types/FFDataBaseAbstractType.html"
                            title="class in org.apache.poi.hwpf.model.types">FFDataBaseAbstractType</a></td>
                    <td class="colLast">
                        <div class="block">The FFData structure specifies form field data for a text
                            box, check box, or drop-down list box.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hwpf/model/types/FibBaseAbstractType.html"
                            title="class in org.apache.poi.hwpf.model.types">FibBaseAbstractType</a></td>
                    <td class="colLast">
                        <div class="block">Base part of the File information Block (FibBase).</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hwpf/model/types/FibRgLw95AbstractType.html"
                            title="class in org.apache.poi.hwpf.model.types">FibRgLw95AbstractType</a></td>
                    <td class="colLast">
                        <div class="block">The FibRgLw95 structure is the third section of the FIB for Word95.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hwpf/model/types/FibRgLw97AbstractType.html"
                            title="class in org.apache.poi.hwpf.model.types">FibRgLw97AbstractType</a></td>
                    <td class="colLast">
                        <div class="block">The FibRgLw97 structure is the third section of the FIB.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hwpf/model/types/FibRgW97AbstractType.html"
                            title="class in org.apache.poi.hwpf.model.types">FibRgW97AbstractType</a></td>
                    <td class="colLast">
                        <div class="block">The FibRgW97 structure is a variable-length portion of the Fib.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hwpf/model/types/FLDAbstractType.html"
                            title="class in org.apache.poi.hwpf.model.types">FLDAbstractType</a></td>
                    <td class="colLast">
                        <div class="block">Field Descriptor (FLD).</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hwpf/model/types/FRDAbstractType.html"
                            title="class in org.apache.poi.hwpf.model.types">FRDAbstractType</a></td>
                    <td class="colLast">
                        <div class="block">Footnote Reference Descriptor (FRD).</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hwpf/model/types/FSPAAbstractType.html"
                            title="class in org.apache.poi.hwpf.model.types">FSPAAbstractType</a></td>
                    <td class="colLast">
                        <div class="block">File Shape Address (FSPA).</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hwpf/model/types/GrfhicAbstractType.html"
                            title="class in org.apache.poi.hwpf.model.types">GrfhicAbstractType</a></td>
                    <td class="colLast">
                        <div class="block">The grfhic structure is a set of HTML incompatibility flags that specify the
                            HTML
                            incompatibilities of a list structure.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hwpf/model/types/HRESIAbstractType.html"
                            title="class in org.apache.poi.hwpf.model.types">HRESIAbstractType</a></td>
                    <td class="colLast">
                        <div class="block">Hyphenation (HRESI).</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hwpf/model/types/LFOAbstractType.html"
                            title="class in org.apache.poi.hwpf.model.types">LFOAbstractType</a></td>
                    <td class="colLast">
                        <div class="block">List Format Override (LFO).</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hwpf/model/types/LFOLVLBaseAbstractType.html"
                            title="class in org.apache.poi.hwpf.model.types">LFOLVLBaseAbstractType</a></td>
                    <td class="colLast">
                        <div class="block">The LFOLVL structure contains information that is used to override the
                            formatting
                            information of a corresponding LVL.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hwpf/model/types/LSTFAbstractType.html"
                            title="class in org.apache.poi.hwpf.model.types">LSTFAbstractType</a></td>
                    <td class="colLast">
                        <div class="block">The LSTF structure contains formatting properties that apply to an entire
                            list.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hwpf/model/types/LVLFAbstractType.html"
                            title="class in org.apache.poi.hwpf.model.types">LVLFAbstractType</a></td>
                    <td class="colLast">
                        <div class="block">The LVLF structure contains formatting properties for an individual level in
                            a
                            list.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hwpf/model/types/PAPAbstractType.html"
                            title="class in org.apache.poi.hwpf.model.types">PAPAbstractType</a></td>
                    <td class="colLast">
                        <div class="block">Paragraph Properties.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hwpf/model/types/PICFAbstractType.html"
                            title="class in org.apache.poi.hwpf.model.types">PICFAbstractType</a></td>
                    <td class="colLast">
                        <div class="block">The PICF structure specifies the type of a picture, as well as the size of
                            the
                            picture and information about its border.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hwpf/model/types/SEPAbstractType.html"
                            title="class in org.apache.poi.hwpf.model.types">SEPAbstractType</a></td>
                    <td class="colLast">
                        <div class="block">Section Properties.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hwpf/model/types/SHD80AbstractType.html"
                            title="class in org.apache.poi.hwpf.model.types">SHD80AbstractType</a></td>
                    <td class="colLast">
                        <div class="block">The Shd80 structure specifies the colors and pattern that are used for
                            background
                            shading.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hwpf/model/types/SHDAbstractType.html"
                            title="class in org.apache.poi.hwpf.model.types">SHDAbstractType</a></td>
                    <td class="colLast">
                        <div class="block">The Shd structure specifies the colors and pattern that are used for
                            background shading.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hwpf/model/types/StdfBaseAbstractType.html"
                            title="class in org.apache.poi.hwpf.model.types">StdfBaseAbstractType</a></td>
                    <td class="colLast">
                        <div class="block">The StdfBase structure specifies general information about a style.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hwpf/model/types/StdfPost2000AbstractType.html"
                            title="class in org.apache.poi.hwpf.model.types">StdfPost2000AbstractType</a></td>
                    <td class="colLast">
                        <div class="block">The StdfPost2000 structure specifies general information about a style.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hwpf/model/types/StshifAbstractType.html"
                            title="class in org.apache.poi.hwpf.model.types">StshifAbstractType</a></td>
                    <td class="colLast">
                        <div class="block">The Stshif structure specifies general stylesheet information.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hwpf/model/types/TAPAbstractType.html"
                            title="class in org.apache.poi.hwpf.model.types">TAPAbstractType</a></td>
                    <td class="colLast">
                        <div class="block">Table Properties.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hwpf/model/types/TBDAbstractType.html"
                            title="class in org.apache.poi.hwpf.model.types">TBDAbstractType</a></td>
                    <td class="colLast">
                        <div class="block">The TBD is a substructure of the PAP.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../../org/apache/poi/hwpf/model/types/TCAbstractType.html"
                                            title="class in org.apache.poi.hwpf.model.types">TCAbstractType</a></td>
                    <td class="colLast">
                        <div class="block">Table Cell Descriptor.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../../org/apache/poi/hwpf/model/types/TLPAbstractType.html"
                            title="class in org.apache.poi.hwpf.model.types">TLPAbstractType</a></td>
                    <td class="colLast">
                        <div class="block">Table Autoformat Look sPecifier (TLP).</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/hwpf/model/io/package-summary.html">Prev&nbsp;Package</a></li>
        <li><a href="../../../../../../org/apache/poi/hwpf/sprm/package-summary.html">Next&nbsp;Package</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hwpf/model/types/package-summary.html" target="_top">Frames</a>
        </li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
